summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2018-02-22 06:33:11 +0100
committerJeroen Roovers <jer@gentoo.org>2018-02-22 06:33:11 +0100
commitff1b54e03fc12f27840eb637183801abfa8ce39e (patch)
treef717ee225ad666543187d3c071d2456cec9d9561
parentnet-misc/openntpd: version bump (diff)
downloadgentoo-ff1b54e03fc12f27840eb637183801abfa8ce39e.tar.gz
gentoo-ff1b54e03fc12f27840eb637183801abfa8ce39e.tar.bz2
gentoo-ff1b54e03fc12f27840eb637183801abfa8ce39e.zip
dev-libs/libuv: Version 1.19.2.
Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--dev-libs/libuv/Manifest1
-rw-r--r--dev-libs/libuv/libuv-1.19.2.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-libs/libuv/Manifest b/dev-libs/libuv/Manifest
index c0135a9f2a9..b48877dc5d7 100644
--- a/dev-libs/libuv/Manifest
+++ b/dev-libs/libuv/Manifest
@@ -7,3 +7,4 @@ DIST libuv-1.16.1.tar.gz 1165502 BLAKE2B 07f77f0f9f53caf44962c7ca5e107e6c71c7f65
DIST libuv-1.17.0.tar.gz 1167930 BLAKE2B 2e38e400d312005f94ad671203b82794f96e5802117fe6577d04951687310a95098ad8d352add67fd356479fa6c63b7b7027f109a77987e7626d3f77a34b19e7 SHA512 274615dd67808a7b7481184aa9c1650f7646ffe714c5304ea123e287eb09cad2a4c677ac06ae68b7d0e70071545954aa6a80414cd7e37c242a2533563094870c
DIST libuv-1.18.0.tar.gz 1167950 BLAKE2B 2c40adbc2c98ffdd3a8a9c30f90eb90e6b0ad16b23935e43d1e19c53238f1a57e422f6f9a3e00374283c4187faa65e13c3e1546ead3ff1fd8e30d98340947078 SHA512 d1ef70b0f060f40cf57b282279d1d63d6dd019b4b811211b2252db32633a80af46290d201b4a4338f84b3efdfe9754a11b29bfa4a7636b06540b1a65e1fd4fbc
DIST libuv-1.19.1.tar.gz 1174572 BLAKE2B 097a8702420ab2536aedd8df95d01a9a3dbff447252f28ced474314506b717589828fd6c86f0e90234c3ebafded95e01b2dd8a422cf690d37354cb5efe95ba40 SHA512 b903dd460c4bbb11011821d1e1f6c92474462cb6ff0dd8185604eb7726cc61c545dc3f59f5b418e9b31d6512beacdf4fcbdb868dd0004e688a6e34f3feb17eb2
+DIST libuv-1.19.2.tar.gz 1176076 BLAKE2B 2ba7b7ebedffe5964a9ca7ebe52d6acc7546d415fb9015107b8ad8cf96ad6b0c60d731844a7dea29ae1255bfa1cf43f1851443652c1ab64cb6837dc26e472340 SHA512 4fa879e34c51ae428ebf72ce80873b8d12994ae1560f9d3577a693653bfd5bd4b4fda7ff457b98b5e60fc82546658300401d6545d677f31d2cd66be3d82e02da
diff --git a/dev-libs/libuv/libuv-1.19.2.ebuild b/dev-libs/libuv/libuv-1.19.2.ebuild
new file mode 100644
index 00000000000..1edbef416b0
--- /dev/null
+++ b/dev-libs/libuv/libuv-1.19.2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools ltprune multilib-minimal
+
+DESCRIPTION="Cross-platform asychronous I/O"
+HOMEPAGE="https://github.com/libuv/libuv"
+SRC_URI="${HOMEPAGE}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD BSD-2 ISC MIT"
+SLOT="0/1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="static-libs"
+RESTRICT="test"
+
+DEPEND="sys-devel/libtool
+ virtual/pkgconfig[${MULTILIB_USEDEP}]"
+
+src_prepare() {
+ default
+
+ echo "m4_define([UV_EXTRA_AUTOMAKE_FLAGS], [serial-tests])" \
+ > m4/libuv-extra-automake-flags.m4 || die
+
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ cc_cv_cflags__g=no
+ $(use_enable static-libs static)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+ mkdir "${BUILD_DIR}"/test || die
+ cp -pPR "${S}"/test/fixtures "${BUILD_DIR}"/test/fixtures || die
+ default
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ prune_libtool_files
+}